package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.groupmemeber.*;
import com.engine.kq.service.KQGroupMemberService;
import weaver.hrm.User;

import java.util.Map;

public class KQGroupMemberServiceImpl extends Service implements KQGroupMemberService {

	@Override
	public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetGroupMemberSearchConditionCmd(params, user));
	}

	@Override
	public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetGroupMemberSearchListCmd(params, user));
	}

	@Override
	public Map<String, Object> save(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveGroupMemberCmd(params, user));
	}

	@Override
	public Map<String, Object> del(Map<String, Object> params, User user) {
		return commandExecutor.execute(new DelGroupMemberCmd(params, user));
	}

	@Override
	public Map<String, Object> getForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetGroupMemberFormCmd(params, user));
	}
}
